## net.i2p.util
Class LogLimit

    java.lang.Object
      net.i2p.util.LogLimit

     class LogLimit

extends java.lang.Object

Defines the log limit for a particular set of logs

Constructor Summary
`LogLimit(java.lang.String name, int limit)`

Method Summary
`int` `getLimit()`
`java.lang.String` `getRootName()`
`boolean` `matches(Log log)`
`void` `setLimit(int limit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogLimit

    public LogLimit(java.lang.String name,
                    int limit)

Method Detail

### getRootName

    public java.lang.String getRootName()

### getLimit

    public int getLimit()

### setLimit

    public void setLimit(int limit)

### matches

    public boolean matches(Log log)